Subject: [PATCH 0/4] powerpc: feature fixup updates

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 12 Oct 2006 18:29:50 +1000

The following patches are not to be merged yet as I haven't fully tested
them and I still want to do a few changes. I'm posting them for review
here.

They update the feature fixup mecanism to be nicer (C vs. asm), support
some level of nesting, and work with the vdso. This is needed for the
cell TB workaround which is the last patch of that serie

The remaining bits that need to be done before that queue can be merged,
in addition to testing, are:

 - add fixup of modules (should be easy. the __ftr_fixup and
__ftr_fw_fixup sections aren't fully filled at build time with modules,
there are relocs for them, so we need to be a bit careful there but it
should just work)

 - rework the cell workarounds to use a different method